Subject: Re: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: Milan Jovanovic <[email-masked]>
Date: Tue, 20 Jun 2023 13:32:04 +0200

I do expect that but I’m talking about order of overlays that have the same start/end (and all of them have the same before-or-after-string property).
If you have more than one overlay with the same start/end and all of them have the same before-or-after-string property one order will be ascending and other descending (in regard to priority).
At least that is why I’ve observed while looking at the Eglot issue.

> On 20. 6. 2023., at 13:10, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Milan Jovanovic <[email-masked]>
>> Date: Mon, 19 Jun 2023 23:05:49 +0200
>> Cc: Stefan Monnier <[email-masked]>,
>> Eli Zaretskii <[email-masked]>,
>> Krzysztof Klimonda <[email-masked]>,
>> [email-masked]
>> 
>> Looks like overlays render order depends on before-string/after-string property (beside priority).
> 
> Don't you expect that?  If some text has both before-string and
> after-string overlays, which one(s) will you expect to see before the
> other one?